cURL
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/commits/bulk \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/commits/bulk"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/commits/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Commit Manipulation
Get commits bulk
Get bulk details of commits by their reference IDs
GET
/
repos
/
{repo_id}
/
commits
/
bulk
cURL
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Query Parameters
List of commit IDs to include
Minimum array length:
1A commit ID
Required string length:
3 - 128Response
An object describing a mapping of a commit by its ID
Show child attributes
Show child attributes
⌘I

